`timescale 1ns / 1ps



module tb();

reg clock_tb;
reg reset_tb;
reg button_tb;
wire [6:0] out_tb;

top dut
	(
		.clock(clock_tb),
		.reset(reset_tb),
		.button(button_tb),
		.out(out_tb)    // logica negativa 
    );

initial
begin
	clock_tb = 0;
	forever
		begin
		#5 clock_tb = ~clock_tb;
		end
end

initial
begin
	reset_tb = 0;
	button_tb = 0;
	
	#50;
	reset_tb = 1;
	#50;
	reset_tb = 0;
	#100;
	
	repeat(5) 	// vreau 5 apasari de buton
		begin
		button_tb = 1;
		repeat(70_000)				
			begin
			@(posedge clock_tb);
			end
		button_tb = 0;
		repeat(70_000)
			begin
			@(posedge clock_tb);
			end
		end
		
	#1000 $stop();
end



endmodule






