
module top
	(
		input wire clock,
		input wire reset,
		input wire button,
		output wire [6:0] out    // logica negativa 
    );
    
wire debounce_0_X_out;
wire [3:0] counter_4b_0_X_out;   
    
debounce
	#(
		.limit(20'd50_000)
	) debounce_0 (
		.clock(clock),
		.in(button),
		.out(debounce_0_X_out)
	);
	    
    
counter_4b counter_4b_0
	(
		.clock(clock),
		.reset(reset),
		.en(debounce_0_X_out),
		.out(counter_4b_0_X_out)
    );    
    
    
transcodor_7seg	transcodor_7seg_0			// logica negativa 
	(
		.in(counter_4b_0_X_out),
  		.out(out)
    );    
    
    
    
endmodule
